/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2021 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define Readback_Pin GPIO_PIN_0
#define Readback_GPIO_Port GPIOC
#define SYNC_Pin GPIO_PIN_1
#define SYNC_GPIO_Port GPIOC
#define DATAuWire_Pin GPIO_PIN_2
#define DATAuWire_GPIO_Port GPIOC
#define LEuWire_Pin GPIO_PIN_3
#define LEuWire_GPIO_Port GPIOC
#define laserTempOut_Pin GPIO_PIN_5
#define laserTempOut_GPIO_Port GPIOA
#define driveTXDisable_Pin GPIO_PIN_6
#define driveTXDisable_GPIO_Port GPIOA
#define driveFault_Pin GPIO_PIN_7
#define driveFault_GPIO_Port GPIOA
#define CLKuWire_Pin GPIO_PIN_4
#define CLKuWire_GPIO_Port GPIOC
#define Ftest_Pin GPIO_PIN_5
#define Ftest_GPIO_Port GPIOC
#define counter_Pin GPIO_PIN_10
#define counter_GPIO_Port GPIOB
#define counterB11_Pin GPIO_PIN_11
#define counterB11_GPIO_Port GPIOB
#define counterB12_Pin GPIO_PIN_12
#define counterB12_GPIO_Port GPIOB
#define counterB13_Pin GPIO_PIN_13
#define counterB13_GPIO_Port GPIOB
#define counterB14_Pin GPIO_PIN_14
#define counterB14_GPIO_Port GPIOB
#define counterB15_Pin GPIO_PIN_15
#define counterB15_GPIO_Port GPIOB
#define cout_Pin GPIO_PIN_7
#define cout_GPIO_Port GPIOC
#define inv_cout_Pin GPIO_PIN_8
#define inv_cout_GPIO_Port GPIOC
#define counterB8_Pin GPIO_PIN_8
#define counterB8_GPIO_Port GPIOB
#define counterB9_Pin GPIO_PIN_9
#define counterB9_GPIO_Port GPIOB
/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
